Package org.apache.ignite.internal.management.cache

## Class ScheduleIndexRebuildTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<CacheScheduleIndexesRebuildCommandArg,​ScheduleIndexRebuildTaskRes,​ScheduleIndexRebuildJobRes>
  - - org.apache.ignite.internal.management.cache.ScheduleIndexRebuildTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<CacheScheduleIndexesRebuildCommandArg>,​VisorTaskResult<ScheduleIndexRebuildTaskRes>>`

    @GridInternal
    public class ScheduleIndexRebuildTask
    extends VisorMultiNodeTask<CacheScheduleIndexesRebuildCommandArg,​ScheduleIndexRebuildTaskRes,​ScheduleIndexRebuildJobRes>

Task that schedules indexes rebuild for specified caches via the maintenance mode.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`ScheduleIndexRebuildTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.management.cache.ScheduleIndexRebuildTask.ScheduleIndexRebuildJob` `job​(CacheScheduleIndexesRebuildCommandArg arg)`
`protected ScheduleIndexRebuildTaskRes` `reduce0​(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScheduleIndexRebuildTask

    public ScheduleIndexRebuildTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.management.cache.ScheduleIndexRebuildTask.ScheduleIndexRebuildJob job​(CacheScheduleIndexesRebuildCommandArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<CacheScheduleIndexesRebuildCommandArg,​ScheduleIndexRebuildTaskRes,​ScheduleIndexRebuildJobRes>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    protected ScheduleIndexRebuildTaskRes reduce0​(List<ComputeJobResult> results)
                                           throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<CacheScheduleIndexesRebuildCommandArg,​ScheduleIndexRebuildTaskRes,​ScheduleIndexRebuildJobRes>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.